<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">
<h:head>
    <title>Detalhes da Nota</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <h:outputStylesheet library="webjars" name="primeflex/3.2.1/primeflex.min.css"/>
</h:head>

<h:body>
    <h:form>
        <p:messages id="msg" closable="true" showDetail="true" skipDetailIfEqualsSummary="true" styleClass="m-2">
            <p:autoUpdate/>
        </p:messages>

        <div class="ml-2 mr-2">
            <div class="formgrid grid">
                <span class="field col-12 md:col-1">
                    <p:outputLabel styleClass="block font-semibold" value="Id." for="@next"/>
                    <p:outputLabel value="#{notaBean.nota.id}" styleClass="w-full" disabled="true"/>
                </span>
                <span class="field col-12 md:col-10">
                    <p:outputLabel styleClass="block font-semibold" value="Título" for="@next"/>
                    <p:outputLabel value="#{notaBean.nota.title}" styleClass="w-full" disabled="true"/>
                </span>
                <span class="field col-12 md:col-12">
                    <p:outputLabel styleClass="block font-semibold" value="Corpo" for="@next"/>
                    <p:outputLabel value="#{notaBean.nota.body}" styleClass="w-full" disabled="true"/>
                </span>
            </div>
            <p:commandButton icon="pi pi-pencil" value="Editar"
                             action="#{notaBean.editarNota(notaBean.nota)}">
                <p:ajax event="dialogReturn" listener="#{notaBean.onReturnFromEdicaoCadastroNota}"
                        update="@form"/>
            </p:commandButton>
            <p:spacer width="5px"/>
            <p:commandButton icon="pi pi-trash" value="Excluir"
                             actionListener="#{notaBean.excluirNota(notaBean.nota, true)}">
                <p:confirm type="popup" header="Confirmação" message="Deseja excluir esta nota?" icon="pi pi-info-circle"/>
            </p:commandButton>
        </div>

        <p:confirmPopup global="true">
            <p:commandButton value="Não" type="button" styleClass="ui-confirm-popup-no ui-button-flat"/>
            <p:commandButton value="Sim" type="button" styleClass="ui-confirm-popup-yes" />
        </p:confirmPopup>
    </h:form>
</h:body>

</html>
